=== debian/changelog ===
hyphy (2.3.14+dfsg-2) unstable; urgency=medium

  [ Saira Hussain ]
  * Team upload.
  * Add unit test description file
  * Add the SimpleAnalyses suite for testing
  * Add control file for AUTOPKGTESTS

  [ Andreas Tille ]
  * Standards-Version: 4.3.1

 -- Saira Hussain <saira.0213@zoho.com>  Fri, 05 Jul 2019 13:45:06 +0000

hyphy (2.3.14+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 11
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Wed, 26 Sep 2018 16:55:30 +0200
