=== debian/changelog ===
hyphy (2.5.1+dfsg-3) unstable; urgency=medium

  * Versioned Depends: hyphy-common (= ${source:Version})
    Closes: #948093

 -- Andreas Tille <tille@debian.org>  Tue, 07 Jan 2020 21:23:52 +0100

hyphy (2.5.1+dfsg-2) unstable; urgency=medium

  * Fix installation of NEWS.Debian to enable arch all only builds
  * Make autopkgtest more verbose

 -- Andreas Tille <tille@debian.org>  Sat, 04 Jan 2020 21:21:58 +0100

hyphy (2.5.1+dfsg-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Add pkg-config to Build-Depends as FindMPI.cmake will need it for cross
    compilation. (Closes: #943311)

  [ Andreas Tille ]
  * New upstream version
  * debhelper-compat 12
  * Secure URI in copyright format
  * Remove trailing whitespace in debian/changelog
  * New upstream version
  * Standards-Version: 4.4.1
  * Use secure URI in Homepage field.
  * Remove patches msse_option_only_if_available.patch that are missing
    from debian/patches/series.
  * Skip GTEST target for the moment since this is currently in flux
    see https://github.com/veg/hyphy/issues/1058
  * No need to rename executables any more since upstream is doing this now
  * Autopkgtest exists since last release - so close bug
    Closes: #909707

 -- Andreas Tille <tille@debian.org>  Fri, 06 Dec 2019 22:47:47 +0100
