=== debian/control ===
--- 
+++ 
@@ -3,22 +3,23 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
-               cmake (>= 3.0),
+Build-Depends: debhelper-compat (= 12),
+               cmake,
                mpi-default-dev,
                libcurl4-gnutls-dev | libcurl4-dev,
                libssl-dev,
-               libsqlite3-dev
-Standards-Version: 4.3.1
+               libsqlite3-dev,
+               pkg-config
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/hyphy
 Vcs-Git: https://salsa.debian.org/med-team/hyphy.git
-Homepage: http://hyphy.org/
+Homepage: https://hyphy.org/
 
 Package: hyphy-pt
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         hyphy-common
+         hyphy-common (= ${source:Version})
 Description: Hypothesis testing using Phylogenies (pthreads version)
  HyPhy is an open-source software package for the analysis of genetic
  sequences using techniques in phylogenetics, molecular evolution, and
@@ -36,7 +37,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         hyphy-common
+         hyphy-common (= ${source:Version})
 Description: Hypothesis testing using Phylogenies (MPI version)
  HyPhy is an open-source software package for the analysis of genetic
  sequences using techniques in phylogenetics, molecular evolution, and
