## hyphy 2.5.20+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
 #cmake_policy(SET CMP0026 OLD)
 #cmake_policy(SET CMP0004 OLD)
 
+enable_testing()
 
 set(CMAKE_CONFIGURATION_TYPES Release)
 
@@ -114,7 +115,6 @@
 # setup the files we'll be using
 #-------------------------------------------------------------------------------
 file(GLOB SRC_CORE src/core/*.cpp)
-file(GLOB SRC_GTESTS tests/gtests/*.cpp)
 file(GLOB SRC_NEW src/new/*.cpp)
 file(GLOB SRC_CONTRIB src/contrib/*.cpp)
 
@@ -137,7 +137,7 @@
 
 
 if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
-    execute_process(
+     execute_process(
         COMMAND ${CMAKE_CXX_COMPILER} -dumpversion
         OUTPUT_VARIABLE GCC_VERSION
     )
@@ -147,16 +147,18 @@
     endif()
 
     if(${GCC_VERSION} VERSION_LESS 6.0)
-      set(DEFAULT_COMPILE_FLAGS "-fsigned-char -O3 -std=gnu++14")
+      set(DEFAULT_COMPILE_FLAGS "-fsigned-char -O3 -std=gnu++14 ")
     else(${GCC_VERSION} VERSION_LESS 6.0)
       set(DEFAULT_COMPILE_FLAGS "-fsigned-char -O3 -std=c++14")
     endif(${GCC_VERSION} VERSION_LESS 6.0)
+
+    #set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS}  -fopt-info")
 
     if(NOAVX)
         set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -mno-avx")
         if(NOSSE3)
             set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -mno-sse3")
-        else(NOSSE)
+        else(NOSSE3)
             PCL_CHECK_FOR_SSE3()
             if(${HAVE_SSE3_EXTENSIONS})
                 add_definitions (-D_SLKP_USE_SSE_INTRINSICS)
@@ -187,24 +189,36 @@
 endif(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
 
 if (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
-    set(DEFAULT_COMPILE_FLAGS "-fsigned-char -O3")
-    PCL_CHECK_FOR_AVX()
-
-    if(${HAVE_AVX_EXTENSIONS} AND NOT ${NOAVX})
-        set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -march=native -mtune=native -mavx")
-        add_definitions (-D_SLKP_USE_AVX_INTRINSICS)
-        PCL_CHECK_FOR_FMA3()
-        if (${HAVE_FMA3})
-            set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -mfma")
-            add_definitions (-D_SLKP_USE_FMA3_INTRINSICS)
-        endif (${HAVE_FMA3})
-    else(${HAVE_AVX_EXTENSIONS} AND NOT ${NOAVX})
-        PCL_CHECK_FOR_SSE3()
-        if(${HAVE_SSE3_EXTENSIONS})
-            add_definitions (-D_SLKP_USE_SSE_INTRINSICS)
-            set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -msse3 ")
-        endif(${HAVE_SSE3_EXTENSIONS})
-    endif (${HAVE_AVX_EXTENSIONS})
+    #set(DEFAULT_COMPILE_FLAGS "-fsigned-char -O3  -fsave-optimization-record=yaml ")
+    set(DEFAULT_COMPILE_FLAGS "-fsigned-char -O3 ")
+    if(NOAVX)
+        if(NOSSE3)
+            set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -mno-sse3")
+        else(NOSSE3)
+            PCL_CHECK_FOR_SSE3()
+            if(${HAVE_SSE3_EXTENSIONS})
+                add_definitions (-D_SLKP_USE_SSE_INTRINSICS)
+                set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -msse3 ")
+            endif(${HAVE_SSE3_EXTENSIONS})
+        endif(NOSSE3)
+    else(NOAVX)
+        PCL_CHECK_FOR_AVX()
+        if(${HAVE_AVX_EXTENSIONS})
+            set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -march=native -mtune=native -mavx")
+            add_definitions (-D_SLKP_USE_AVX_INTRINSICS)
+            PCL_CHECK_FOR_FMA3()
+            if (${HAVE_FMA3})
+                set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -mfma")
+                add_definitions (-D_SLKP_USE_FMA3_INTRINSICS)
+            endif (${HAVE_FMA3})
+        else(${HAVE_AVX_EXTENSIONS})
+            PCL_CHECK_FOR_SSE3()
+            if(${HAVE_SSE3_EXTENSIONS})
+                add_definitions (-D_SLKP_USE_SSE_INTRINSICS)
+                set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS} -msse3 ")
+            endif(${HAVE_SSE3_EXTENSIONS})
+        endif (${HAVE_AVX_EXTENSIONS})
+    endif(NOAVX)
 
     set_property(
      SOURCE ${SRC_CORE} ${SRC_NEW} ${SRC_UTILS} ${SRC_UNIXMAIN}
@@ -212,7 +226,8 @@
     )
 endif (CMAKE_CXX_COMPILER_ID MATCHES "Clang")
 
-set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS}  ")
+#set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS}  -fopt-info -fopt-info-vec-missed")
+set(DEFAULT_COMPILE_FLAGS "${DEFAULT_COMPILE_FLAGS}")
 MESSAGE ("Set compiler flags to ${DEFAULT_COMPILE_FLAGS}")
 
 if(NOT DEFINED DEFAULT_COMPILE_FLAGS)
@@ -264,14 +279,6 @@
     add_definitions (-D__HYPHYCURL__)
 endif(${CURL_FOUND} AND NOT APPLE)
 
-#-------------------------------------------------------------------------------
-# gtest dependency
-#-------------------------------------------------------------------------------
-add_subdirectory(contrib/gtest-1.7.0)
-set_property(
-    TARGET gtest gtest_main
-    PROPERTY EXCLUDE_FROM_ALL true
-)
 
 
 #-------------------------------------------------------------------------------
@@ -331,18 +338,8 @@
     src/contrib
     src/lib/Link src/new/include
     contrib/SQLite-3.8.2 # SQLite
-    contrib/gtest-1.7.0/include
-    tests/gtests
 )
 
 
 #-------------------------------------------------------------------------------
 # shared hyphy hbl stdlib target
-#-------------------------------------------------------------------------------
-install(DIRECTORY res/ DESTINATION lib/hyphy)
-
-#-------------------------------------------------------------------------------
-# HYPHYMP target
-#-------------------------------------------------------------------------------
-add_executable(
-    hyphy
