=== debian/changelog ===
hyphy (2.5.20+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 22 Oct 2020 20:14:59 +0530

hyphy (2.5.19+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Refresh patches
  * Wrap up manual pages for hyphy-pt and hyphy-mpi

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Sat, 10 Oct 2020 15:27:47 +0200

hyphy (2.5.18+dfsg-1) unstable; urgency=medium

  [ Étienne Mollier ]
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Build with NOAVX and NOSSE3 cmake switches.  (Closes: #961382)
  * GTEST removed in favor of script run_unit_tests.sh:
      - updated d/copyright to remove gtest and include src/contrib;
      - removed note about gtest in d/rules;
      - removed lintian-overrides related to gtest.
  * Refreshed patches:
      - removed drop_profiling_option.patch;
      - removed patches related to gtest;
      - refreshed use_debian_sqlite.patch;
      - added patch to fix compilation issues with NOAVX and NOSSE3;
      - added patch to allow compilation on non-x86 CPU architectures.
  * Refreshed d/hyphy-common.install.

  [ Andreas Tille ]
  * d/rules: Remove some settings made for the former Python package

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Mon, 28 Sep 2020 21:33:54 +0200
