## hyphy 2.5.21+dfsg

=== debian/changelog ===
hyphy (2.5.21+dfsg-2) unstable; urgency=medium

  * Team Upload.
  * Remove failing tests on 32-bit archs

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 31 Oct 2020 23:42:17 +0530

hyphy (2.5.21+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 31 Oct 2020 19:16:55 +0530
