## hyphy 2.5.22+dfsg

=== debian/changelog ===
hyphy (2.5.22+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 17 Nov 2020 18:54:31 +0530
