=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: hyphy
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Étienne Mollier <etienne.mollier@mailoo.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                cmake,
                mpi-default-dev,
                libcurl4-gnutls-dev | libcurl4-dev,
                libssl-dev,
                libsqlite3-dev,
                pkg-config
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/hyphy
 Vcs-Git: https://salsa.debian.org/med-team/hyphy.git
 Homepage: https://hyphy.org/
+Rules-Requires-Root: no
 
 Package: hyphy-pt
 Architecture: any
