## hyphy 2.5.24+dfsg

=== debian/changelog ===
hyphy (2.5.24+dfsg-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Fix reference to the build directory
    Closes: #977992

 -- Andreas Tille <tille@debian.org>  Thu, 24 Dec 2020 07:11:25 +0100

hyphy (2.5.24+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 21 Dec 2020 13:35:37 +0530
