## hyphy 2.5.26+dfsg

=== debian/changelog ===
hyphy (2.5.26+dfsg-1) unstable; urgency=medium

  * New upstream version 2.5.26+dfsg
  * Add createmanpages script to
    manage manpages for future versions
  * Update hyphy manpage

 -- Nilesh Patra <npatra974@gmail.com>  Mon, 18 Jan 2021 13:57:49 +0000
