## hyphy 2.5.27+dfsg

=== debian/changelog ===
hyphy (2.5.27+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Fix arch independent build issue which cause the amd64 autopkgtests to
    fail.
  * On amd64, run the build-time tests the SIMD varients that are supported by
    the build-time CPU.

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 31 Jan 2021 11:05:20 +0100

hyphy (2.5.27+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Fix arch independent build.
  * debian/control: mark hyphy-common as Multi-Arch: foreign

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 30 Jan 2021 12:52:56 +0100

hyphy (2.5.27+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Refresh patches.
  * debian/rules: build avx and sse3 version for amd64

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 30 Jan 2021 10:03:12 +0100

hyphy (2.5.27+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 26 Jan 2021 16:47:41 +0530
